# Uses of Package
net.shibboleth.idp.cas.attribute

Packages that use net.shibboleth.idp.cas.attribute
Package
Description
net.shibboleth.idp.cas.attribute
APIs for CAS attribute support.
net.shibboleth.idp.cas.attribute.transcoding.impl
Implementation classes for CAS attribute support.
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.protocol
APIs related to the CAS protocol.

Classes in net.shibboleth.idp.cas.attribute used by net.shibboleth.idp.cas.attribute
Class
Description
Attribute
Wrapper class for a CAS attribute/values construct in a validate response.
CASAttributeTranscoder
Marker interface for transcoders that support CAS attributes.
Classes in net.shibboleth.idp.cas.attribute used by net.shibboleth.idp.cas.attribute.transcoding.impl
Class
Description
AbstractCASAttributeTranscoder
Base class for transcoders that support CAS attributes.
Attribute
Wrapper class for a CAS attribute/values construct in a validate response.
CASAttributeTranscoder
Marker interface for transcoders that support CAS attributes.
Classes in net.shibboleth.idp.cas.attribute used by net.shibboleth.idp.cas.flow.impl
Class
Description
Attribute
Wrapper class for a CAS attribute/values construct in a validate response.
Classes in net.shibboleth.idp.cas.attribute used by net.shibboleth.idp.cas.protocol
Class
Description
Attribute
Wrapper class for a CAS attribute/values construct in a validate response.